## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: chr
Version: 0.1.78
Release: %autorelease
Summary: Terminal editor is inspired by the Turbo Pascal editor

%global forgeurl https://github.com/istoph/editor
%forgemeta

License: Boost
URL: %{forgeurl}
Source0: %{forgeurl}/releases/download/%{version}/editor-%{version}.tar.gz

BuildRequires: meson
BuildRequires: gcc-c++
BuildRequires: qt5-qtbase-devel
BuildRequires: pkgconfig(TuiWidgets)
BuildRequires: pkgconfig(PosixSignalManager)
BuildRequires: cmake(KF5SyntaxHighlighting)
BuildRequires: pkgconfig(catch2)


%description
The chr terminal editor is inspired by the turbo pascal editor using Turbo
Vision from the year 1997.  For the keyboard shortcut he should be similar
gedit, to facilitate the transition from desktop to console editor.


%prep
%forgeautosetup -p1
rm -rf third-party/catch2


%build
%meson -Dsystem-catch2=enabled -Dsyntax_highlighting=true
%meson_build


%install
%meson_install


%check
%meson_test


%files
%doc README.md
%license COPYING AUTHORS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/de/man1/%{name}.1*


%changelog
## START: Generated by rpmautospec
* Fri Apr 19 2024 Thomas Schneider <qsx@chaotikum.eu> - 0.1.78-1
- New upstream release 0.1.78

* Thu Apr 04 2024 Thomas Schneider <qsx@chaotikum.eu> - 0.1.77-4
- .copr/Makefile: Fix rpmautospec macros

* Wed Apr 03 2024 Thomas Schneider <qsx@chaotikum.eu> - 0.1.77-3
- .copr/Makefile: Fix rpmbuild _sourcedir

* Wed Apr 03 2024 Thomas Schneider <qsx@chaotikum.eu> - 0.1.77-2
- Fix manpages, bundled catch2 path, tests

* Wed Apr 03 2024 Thomas Schneider <qsx@chaotikum.eu> - 0.1.77-1
- Initial packaging
## END: Generated by rpmautospec
